# Get

## Retrieve a list of your members

### Parameters:

| Name           | Optional / Required | Data type | Description                                                                                                                                                          | Default                                                                                           |
| -------------- | ------------------- | --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------- |
| q              | optional            | String    | A keyword to search for                                                                                                                                              |                                                                                                   |
| offset         | optional            | Integer   | Retrieve rows at position X (min. 0)                                                                                                                                 | 0                                                                                                 |
| limit          | optional            | Integer   | Retrieve X rows (min. 0 and max. 100)                                                                                                                                | 10                                                                                                |
| sort           | optional            | String    | Sort results by create\_date ascendending / descending (create\_date\_asc, create\_date\_desc) or username ascendending / descending (username\_asc, username\_desc) | create\_date\_desc                                                                                |
| return\_fields | optional            | String    | Customize the responses by setting the return fields ('id', 'username', 'comment', 'password', 'access\_tags', 'kiosks', 'create\_date', 'update\_date')             | 'id', 'username', 'comment', 'password', 'access\_tags', 'kiosks', 'create\_date', 'update\_date' |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

#### Optional parameters:

&#x20;q  offset  limit  sort  return\_fields&#x20;

Add optional parametersRun request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X GET -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" "https://api.yumpu.com/2.0/account/members.json"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'limit' => 2,
    'offset' => 0
);
$listMembers = $yumpu->getMembers($data);
print_r($listMembers);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  offset: 0,
  limit: 2
};
yumpu.getMembers(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String[] params = {"limit=2", "offset=0"};
System.out.println(y.getMembers(params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```bash
{
  "total": "6",
  "members": [
    {
      "id": "vGbxpwFZuvvdAGnS",
      "create_date": "2014-11-03 12:59:52",
      "update_date": "0000-00-00 00:00:00",
      "username": "user1",
      "password": "password",
      "comment": "user1",
      "access_tags": [
        {
          "id": "zxeeYReHnxeg8RqZ",
          "name": "accesstag1",
          "default": true
        }
      ],
      "kiosks": [
        {
          "id": "1572",
          "type": "webkiosk"
        }
      ]
    },
    {
      "id": "uBrURwzHMBEe32Dj",
      "create_date": "2014-10-08 17:10:39",
      "update_date": "0000-00-00 00:00:00",
      "username": "user2",
      "password": "password",
      "comment": "user2",
      "access_tags": [
        {
          "id": "zxeeYReHnxeg8RqZ",
          "name": "accesstag1",
          "default": true
        }
      ],
      "kiosks": [
        {
          "id": "25",
          "type": "webkiosk"
        },
        {
          "id": "860",
          "type": "appkiosk"
        }
      ]
    },
    {
      ...
    }
  ],
  "state": "success",
  "completed_in": "0.0608"
}
```
